/* ------------------- Switcher ------------------ */
.switch-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 2vh;
}

.switch {
    position: relative;
    width: 400px;
    height: 40px;
    background-color: #fff;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25) inset;
    border-radius: 20px;
    cursor: pointer;
}

.switch-button {
    position: absolute;
    top: 0;
    left: 0;
    width: 200px;
    height: 40px;
    background: linear-gradient(130deg, #E5BE4E 0%, #F1D671 100%);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25) inset;
    border-radius: 20px;
    transition: left 0.3s;
}

.switch-label {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 14px;
    font-weight: bold;
    color: black;
    transition: color 0.3s;
}

.switch-label-left {
    left: 65px;
    color: white;
    text-shadow: 0px 2px 2px rgba(0, 0, 0, 0.10);
}

.switch-label-right {
    right: 65px;

}

.switch-active .switch-button {
    left: 200px;
}

.switch-active #label-venta {
    color: black;
}

.switch-active #label-empeñar {
    color: white;
}

.label-active {
    color: white;
    text-shadow: 0px 2px 2px rgba(0, 0, 0, 0.20);
}

/* ------------------- Contenido ------------------ */
#seccion-que-se-adapta-a-ti {
    width: 100%;
    background: var(--negro);
    padding-top: 4vw;
    padding-bottom: 4vw;
}

#seccion-que-se-adapta-a-ti h2 {
    width: 70%;
    max-width: 1200px;
    margin: auto;
    color: white;
    text-align: center;
    margin-bottom: 2.4vw;
}

#seccion-que-se-adapta-a-ti p {
    width: 70%;
    max-width: 1200px;
    margin: auto;
    color: white;
    margin-top: 3vw;
}

@media (max-width: 900px) {
    .switch {
        width: 300px;
    }
    .switch-button {
        width: 150px;
    }
    .switch-active .switch-button {
        left: 150px;
    }

    .switch-label-left {
        left: 45px;
    }

    .switch-label-right {
        right: 35px;

    }

    #seccion-que-se-adapta-a-ti {
        padding-top: 15vw;
        padding-bottom: 7vw;
    }

    #seccion-que-se-adapta-a-ti h2 {
        width: 80%;
        margin-bottom: 7vw;
    }

    .switch-container {
        margin-bottom: 7vw;
    }

    #seccion-que-se-adapta-a-ti p {
        width: 80%;
    }
}